import { defineMessages } from 'react-intl';

export default defineMessages({
  paymentMethod: {
    id: 'Order.paymentMethod',
    defaultMessage: 'Payment Method',
  },
  transactionId: {
    id: 'Order.transactionId',
    defaultMessage: 'Transaction Id',
  },
  amount: {
    id: 'Order.amount',
    defaultMessage: 'Amount Paid',
  },
  worldlineId: {
    id: 'Order.worldlineId',
    defaultMessage: 'Worldline ID',
  },
  cardNumber: {
    id: 'Order.cardNumber',
    defaultMessage: 'Card Number',
  },
  bin: {
    id: 'Order.bin',
    defaultMessage: 'Bin',
  },
  fraudServiceResult: {
    id: 'Order.fraudServiceResult',
    defaultMessage: 'Fraud result',
  },
  authenticationStatus: {
    id: 'Order.authenticationStatus',
    defaultMessage: 'Authentication status',
  },
  liability: {
    id: 'Order.liability',
    defaultMessage: 'Liability for 3DS',
  },
  status: {
    id: 'Order.status',
    defaultMessage: 'Payment Status',
  },
  backToOrder: {
    id: 'Order.backToOrder',
    defaultMessage: 'Back to order list',
  },
  capture: {
    id: 'Order.capture',
    defaultMessage: 'Capture',
  },
  refund: {
    id: 'Order.refund',
    defaultMessage: 'Refund',
  },
  cancel: {
    id: 'Order.cancel',
    defaultMessage: 'Cancel',
  },
  captureTitle: {
    id: 'Order.captureTitle',
    defaultMessage: 'Capture Client Transaction',
  },
  refundTitle: {
    id: 'Order.refundTitle',
    defaultMessage: 'Refund Client Transaction',
  },
  cancelTitle: {
    id: 'Order.cancelTitle',
    defaultMessage: 'Cancel Client Transaction',
  },
  amountToCapture: {
    id: 'Order.amountToCapture',
    defaultMessage: 'Enter amount to be captured',
  },
  amountToRefund: {
    id: 'Order.amountToRefund',
    defaultMessage: 'Enter amount to be refunded',
  },
  amountToCancel: {
    id: 'Order.amountToCancel',
    defaultMessage: 'Enter amount to be cancelled',
  },
  seeTransactions: {
    id: 'Order.seeTransactions',
    defaultMessage: 'See Transactions',
  },
  amountCapturedAlready: {
    id: 'Order.amountCapturedAlready',
    defaultMessage: 'Amount Captured Already',
  },
  amountRefundedAlready: {
    id: 'Order.amountRefundedAlready',
    defaultMessage: 'Amount Refunded Already',
  },
  amountCancelledAlready: {
    id: 'Order.amountCancelledAlready',
    defaultMessage: 'Amount Cancelled Already',
  },
  captureAmount: {
    id: 'Order.captureAmount',
    defaultMessage: 'Capture Amount',
  },
  captureStatus: {
    id: 'Order.captureStatus',
    defaultMessage: 'Capture Status',
  },
  refundAmount: {
    id: 'Order.refundAmount',
    defaultMessage: 'Refund Amount',
  },
  refundStatus: {
    id: 'Order.refundStatus',
    defaultMessage: 'Refund Status',
  },
  cancelAmount: {
    id: 'Order.cancelAmount',
    defaultMessage: 'Cancel Amount',
  },
  cancelStatus: {
    id: 'Order.cancelStatus',
    defaultMessage: 'Cancel Status',
  },
  createdDate: {
    id: 'Order.createdDate',
    defaultMessage: 'Created Date',
  },
  email: {
    id: 'Order.email',
    defaultMessage: 'Email',
  },
  paymentId: {
    id: 'Order.paymentId',
    defaultMessage: 'Payment Id',
  },
  captureInProgress: {
    id: 'Order.captureInProgress',
    defaultMessage: 'Success: Capture is in Progress',
  },
  captureFailed: {
    id: 'Order.captureFailed',
    defaultMessage: 'Capture amount is not valid',
  },
  refundInProgress: {
    id: 'Order.refundInProgress',
    defaultMessage: 'Success: Refund is in Progress',
  },
  refundFailed: {
    id: 'Order.refundFailed',
    defaultMessage: 'Failure: Refund failed',
  },
  cancelInProgress: {
    id: 'Order.cancelInProgress',
    defaultMessage: 'Success: Cancel is in Progress',
  },
  cancelFailed: {
    id: 'Order.cancelFailed',
    defaultMessage: 'Failure: Cancel failed',
  },
});
